Declare a Transcript
// Overview
The first step in processing any transcription file is to declare the interaction.
When the POST request successfully executes, an HTTP status is returned to indicate the request was successful, along with a JSON response containing the interactionIdentifier.
{
"interactionIdentifier": "46985457-fa6b-4071-a3f6-5c4858160ec9"
} It is important you store the interactionIdentifier since it will serve as a required parameter for all other ElevateAI endpoints – and will enable you to POST, GET, and/or DELETE information associated with this interaction.
If an error occurs when requesting to declare the interaction, a standard HTTP response code is retuned to indicate the request was unsuccessful, along with a JSON response containing additional details to assist with troubleshooting.
All interactions successfully declared will count towards your monthly request quota, regardless of the file upload status or processing outcome.
Only interactions successfully processed are eligible for billing.
--> Once declared, you can check the processing statusconfirm the processing status of your interaction, as well as the tracking impacts to both usage and spend.
// Request Parameters & Code Examples
Details on language support for CX AI features can be found on the CX AI Feature OverviewCX AI Feature Overview page page.
curl --location --request POST 'https://api.elevateai.com/v1/interactions' \
--header 'Content-Type: application/json' \
--header 'X-API-Token: {Your API Token}' \
--data-raw '{
"type": "transcript",
"languageTag": "en-us",
"vertical": "default",
"transcript": {
"allParticipants": {
"phrases": [
"{word A}",
"{word B}"
],
"phraseSegments": [
{
"startTimeOffset": {startA},
"endTimeOffset": {endA},
"phraseIndex": 0,
"score": 1
},
{
"startTimeOffset": {startB},
"endTimeOffset": {endB},
"phraseIndex": 1,
"score": 1
}
]
},
"participantOne": {
"phrases": [
"{word A}"
],
"phraseSegments": [
{
"startTimeOffset": {startA},
"endTimeOffset": {endA},
"phraseIndex": 0,
"score": 1
}
]
},
"participantTwo": {
"phrases": [
"{word B}"
],
"phraseSegments": [
{
"startTimeOffset": {startB},
"endTimeOffset": {endB},
"phraseIndex": 0,
"score": 1
}
]
}
}
}'// Formatting a Transcript for Processing
Transcript files will be formatted according to the schema below and should be included as a body parameter when declaring the transcript for processing.
NOTE: allParticpants is a required object when providing a transcript for analysis.
While participantOne and participantTwo objects are not required, they are highly recommended.
Need more help? Contact the ElevateAI Support team.